Index: Jenkinsfile
===================================================================
--- Jenkinsfile	(revision bd5b4431685ed65b0e277a422e5e681bde612c63)
+++ Jenkinsfile	(revision 46b11e2a0969485c3558cada956a27bc44ad8e25)
@@ -215,12 +215,12 @@
 
 		//Then publish the results
-		do_plot(Settings.RunBenchmark && Settings.Publish, 'compile'       , groupCompile    , false, 'Compilation')
-		do_plot(Settings.RunBenchmark && Settings.Publish, 'compile.diff'  , groupCompile    , true , 'Compilation (relative)')
-		do_plot(Settings.RunBenchmark && Settings.Publish, 'ctxswitch'     , groupConcurrency, false, 'Context Switching')
-		do_plot(Settings.RunBenchmark && Settings.Publish, 'ctxswitch.diff', groupConcurrency, true , 'Context Switching (relative)')
-		do_plot(Settings.RunBenchmark && Settings.Publish, 'mutex'         , groupConcurrency, false, 'Mutual Exclusion')
-		do_plot(Settings.RunBenchmark && Settings.Publish, 'mutex.diff'    , groupConcurrency, true , 'Mutual Exclusion (relative)')
-		do_plot(Settings.RunBenchmark && Settings.Publish, 'signal'        , groupConcurrency, false, 'Internal and External Scheduling')
-		do_plot(Settings.RunBenchmark && Settings.Publish, 'signal.diff'   , groupConcurrency, true , 'Internal and External Scheduling (relative)')
+		do_plot(Settings.RunBenchmark && Settings.Publish, 'compile'        , groupCompile    , false, 'Compilation')
+		do_plot(Settings.RunBenchmark && Settings.Publish, 'compile.diff'   , groupCompile    , true , 'Compilation (relative)')
+		do_plot(Settings.RunBenchmark && Settings.Publish, 'ctxswitch'      , groupConcurrency, false, 'Context Switching')
+		do_plot(Settings.RunBenchmark && Settings.Publish, 'ctxswitch.diff' , groupConcurrency, true , 'Context Switching (relative)')
+		do_plot(Settings.RunBenchmark && Settings.Publish, 'mutex'          , groupConcurrency, false, 'Mutual Exclusion')
+		do_plot(Settings.RunBenchmark && Settings.Publish, 'mutex.diff'     , groupConcurrency, true , 'Mutual Exclusion (relative)')
+		do_plot(Settings.RunBenchmark && Settings.Publish, 'scheduling'     , groupConcurrency, false, 'Internal and External Scheduling')
+		do_plot(Settings.RunBenchmark && Settings.Publish, 'scheduling.diff', groupConcurrency, true , 'Internal and External Scheduling (relative)')
 	}
 }
Index: benchmark/Makefile.am
===================================================================
--- benchmark/Makefile.am	(revision bd5b4431685ed65b0e277a422e5e681bde612c63)
+++ benchmark/Makefile.am	(revision 46b11e2a0969485c3558cada956a27bc44ad8e25)
@@ -144,5 +144,5 @@
 
 cleancsv:
-	rm -f compile.csv basic.csv ctxswitch.csv mutex.csv schedint.csv
+	rm -f compile.csv basic.csv ctxswitch.csv mutex.csv scheduling.csv
 
 jenkins$(EXEEXT): cleancsv
@@ -155,6 +155,6 @@
 	+make mutex.csv
 	-+make mutex.diff.csv
-	+make schedint.csv
-	-+make schedint.diff.csv
+	+make scheduling.csv
+	-+make scheduling.diff.csv
 @DOifskipcompile@
 	cat compile.csv
@@ -165,6 +165,6 @@
 	cat mutex.csv
 	-cat mutex.diff.csv
-	cat schedint.csv
-	-cat schedint.diff.csv
+	cat scheduling.csv
+	-cat scheduling.diff.csv
 
 compile.csv:
@@ -196,5 +196,5 @@
 	$(srcdir)/fixcsv.sh $@
 
-schedint.csv:
+scheduling.csv:
 	echo "building $@"
 	echo "schedint-1,schedint-2,schedext-1,schedext-2" > $@
Index: benchmark/Makefile.in
===================================================================
--- benchmark/Makefile.in	(revision bd5b4431685ed65b0e277a422e5e681bde612c63)
+++ benchmark/Makefile.in	(revision 46b11e2a0969485c3558cada956a27bc44ad8e25)
@@ -823,5 +823,5 @@
 
 cleancsv:
-	rm -f compile.csv basic.csv ctxswitch.csv mutex.csv schedint.csv
+	rm -f compile.csv basic.csv ctxswitch.csv mutex.csv scheduling.csv
 
 jenkins$(EXEEXT): cleancsv
@@ -834,6 +834,6 @@
 	+make mutex.csv
 	-+make mutex.diff.csv
-	+make schedint.csv
-	-+make schedint.diff.csv
+	+make scheduling.csv
+	-+make scheduling.diff.csv
 @DOifskipcompile@
 	cat compile.csv
@@ -844,6 +844,6 @@
 	cat mutex.csv
 	-cat mutex.diff.csv
-	cat schedint.csv
-	-cat schedint.diff.csv
+	cat scheduling.csv
+	-cat scheduling.diff.csv
 
 compile.csv:
@@ -875,5 +875,5 @@
 	$(srcdir)/fixcsv.sh $@
 
-schedint.csv:
+scheduling.csv:
 	echo "building $@"
 	echo "schedint-1,schedint-2,schedext-1,schedext-2" > $@
